summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sci-calculators/orpie/orpie-1.5.1.ebuild')
-rw-r--r--sci-calculators/orpie/orpie-1.5.1.ebuild25
1 files changed, 25 insertions, 0 deletions
diff --git a/sci-calculators/orpie/orpie-1.5.1.ebuild b/sci-calculators/orpie/orpie-1.5.1.ebuild
new file mode 100644
index 000000000000..ad57b018bfdf
--- /dev/null
+++ b/sci-calculators/orpie/orpie-1.5.1.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+DESCRIPTION="A fullscreen RPN calculator for the console"
+HOMEPAGE="http://pessimization.com/software/orpie/"
+SRC_URI="http://pessimization.com/software/${PN}/${P}.tar.gz"
+LICENSE="GPL-2"
+
+SLOT="0"
+KEYWORDS="amd64 ppc -sparc x86"
+IUSE=""
+
+DEPEND="dev-lang/ocaml
+ sys-libs/ncurses
+ sci-libs/gsl"
+
+RDEPEND="${DEPEND}"
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+ dodoc README ChangeLog doc/TODO || die
+ insinto /usr/share/doc/${PF}
+ doins doc/manual.pdf doc/manual.html || die
+}